--- old/usr/src/uts/common/inet/ip/ip_dce.c	2014-07-28 07:44:25.637703945 -0400
+++ new/usr/src/uts/common/inet/ip/ip_dce.c	2014-07-28 07:44:25.643681696 -0400
@@ -532,7 +532,7 @@
 	dce->dce_ptpn = &dcb->dcb_dce;
 	dcb->dcb_dce = dce;
 	dce->dce_bucket = dcb;
-	atomic_add_32(&dcb->dcb_cnt, 1);
+	atomic_inc_32(&dcb->dcb_cnt);
 	dce_refhold(dce);	/* For the caller */
 	rw_exit(&dcb->dcb_lock);
 
@@ -604,7 +604,7 @@
 	dce->dce_ptpn = &dcb->dcb_dce;
 	dcb->dcb_dce = dce;
 	dce->dce_bucket = dcb;
-	atomic_add_32(&dcb->dcb_cnt, 1);
+	atomic_inc_32(&dcb->dcb_cnt);
 	dce_refhold(dce);	/* For the caller */
 	rw_exit(&dcb->dcb_lock);
 
@@ -731,7 +731,7 @@
 	dce->dce_generation = DCE_GENERATION_CONDEMNED;
 	mutex_exit(&dce->dce_lock);
 	/* Count how many condemned dces for kmem_cache callback */
-	atomic_add_32(&ipst->ips_num_dce_condemned, 1);
+	atomic_inc_32(&ipst->ips_num_dce_condemned);
 }
 
 /*
@@ -793,7 +793,7 @@
 		dce->dce_next->dce_ptpn = dce->dce_ptpn;
 	dce->dce_ptpn = NULL;
 	dce->dce_next = NULL;
-	atomic_add_32(&dcb->dcb_cnt, -1);
+	atomic_dec_32(&dcb->dcb_cnt);
 	dce_make_condemned(dce);
 }
 
@@ -808,7 +808,7 @@
 
 	/* Count how many condemned dces for kmem_cache callback */
 	if (DCE_IS_CONDEMNED(dce))
-		atomic_add_32(&ipst->ips_num_dce_condemned, -1);
+		atomic_dec_32(&ipst->ips_num_dce_condemned);
 
 	kmem_cache_free(dce_cache, dce);
 }
@@ -817,14 +817,14 @@
 dce_refrele(dce_t *dce)
 {
 	ASSERT(dce->dce_refcnt != 0);
-	if (atomic_add_32_nv(&dce->dce_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&dce->dce_refcnt) == 0)
 		dce_inactive(dce);
 }
 
 void
 dce_refhold(dce_t *dce)
 {
-	atomic_add_32(&dce->dce_refcnt, 1);
+	atomic_inc_32(&dce->dce_refcnt);
 	ASSERT(dce->dce_refcnt != 0);
 }
 
@@ -833,14 +833,14 @@
 dce_refrele_notr(dce_t *dce)
 {
 	ASSERT(dce->dce_refcnt != 0);
-	if (atomic_add_32_nv(&dce->dce_refcnt, -1) == 0)
+	if (atomic_dec_32_nv(&dce->dce_refcnt) == 0)
 		dce_inactive(dce);
 }
 
 void
 dce_refhold_notr(dce_t *dce)
 {
-	atomic_add_32(&dce->dce_refcnt, 1);
+	atomic_inc_32(&dce->dce_refcnt);
 	ASSERT(dce->dce_refcnt != 0);
 }
 
